Subject: Re: [PATCH] bcm43xx-softmac: update noise handling

From: "John W. Linville" <[email-masked]>
Date: Tue, 12 Sep 2006 14:21:55 -0400

On Tue, Sep 12, 2006 at 12:40:32PM -0500, Larry Finger wrote:
> John,
> 
> Please apply this patch to wireless-2.6. In addition, please let me
> know if you have any problems applying it. I'm sending this by a new
> method.
 
Larry,

That one worked great!  One last request: please put any "chit-chat"
or other text not appropriate for the permanent changelog _AFTER_ the
"---" line.  Otherwise, I have to edit it out by hand.  I reformatted
the text from this patch below as an example of what I mean.

Thanks!

John

======================================================================================

In bcm43xx-softmac, the bcm43xx_stats struct contains a variable that
is no longer used. In addition, two TODO entries related to noise
processing in bcm43xx_rx have been completed, and as unused one
is removed.

Signed-off-by: Larry Finger <[email-masked]>
---
John,

Please apply this patch to wireless-2.6. In addition, please let me
know if you have any problems applying it. I'm sending this by a new
method.

Larry
 
Index: wireless-2.6/drivers/net/wireless/bcm43xx/bcm43xx.h
===================================================================
--- wireless-2.6.orig/drivers/net/wireless/bcm43xx/bcm43xx.h
+++ wireless-2.6/drivers/net/wireless/bcm43xx/bcm43xx.h
@@ -666,7 +666,6 @@ struct bcm43xx_noise_calculation {
 };
 
 struct bcm43xx_stats {
-	u8 link_quality;
 	u8 noise;
 	struct iw_statistics wstats;
 	/* Store the last TX/RX times here for updating the leds. */
-- 
John W. Linville
[email-masked]